## libleidenalg 0.11.1

=== debian/changelog ===
libleidenalg (0.11.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:10:08 +0000

libleidenalg (0.11.1-2build1) noble; urgency=high

  * No change rebuild against libigraph3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:37:28 +0100

libleidenalg (0.11.1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * d/*.symbols*: mark missing symbols with newer glibc/lto (Closes: #1050164)

  [ Étienne Mollier ]
  * d/control: mark liblibleidenalg-dev Multi-Arch: same.

 -- Étienne Mollier <emollier@debian.org>  Tue, 22 Aug 2023 10:27:45 +0200

libleidenalg (0.11.1-1) unstable; urgency=medium

  * Source-only upload to unstable.

 -- Étienne Mollier <emollier@debian.org>  Wed, 16 Aug 2023 18:22:12 +0200

libleidenalg (0.11.1-0+exp1) experimental; urgency=medium

  * Initial release. (Closes: #1046633)

 -- Étienne Mollier <emollier@debian.org>  Mon, 14 Aug 2023 11:19:25 +0200
