=== debian/control ===
Source: libleidenalg
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Étienne Mollier <emollier@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libigraph-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/libleidenalg
Vcs-Git: https://salsa.debian.org/med-team/libleidenalg.git
Homepage: https://github.com/vtraag/libleidenalg
Rules-Requires-Root: no

Package: liblibleidenalg1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Section: libs
Description: implementation of the Leiden algorithm in C++ - library
 This package implements the Leiden algorithm in C++.  It relies on igraph for
 it to function.  Besides the relative flexibility of the implementation, it
 also scales well, and can be run on graphs of millions of nodes (as long as
 they can fit in memory).  The core class is Optimiser which finds the optimal
 partition using the Leiden algorithm, which is an extension of the Louvain
 algorithm for a number of different methods.  The methods currently implemented
 are (1) modularity, (2) Reichardt and Bornholdt's model using the
 configuration null model and the Erdös-Rényi null model, (3) the Constant
 Potts model (CPM), (4) Significance, and finally (5) Surprise.  In addition,
 it supports multiplex partition optimisation allowing community detection on
 for example negative links or multiple time slices.  There is the possibility
 of only partially optimising a partition, so that some community assignments
 remain fixed.  It also provides some support for community detection on
 bipartite graphs.
 .
 This package contains the library.

Package: liblibleidenalg-dev
Architecture: any
Multi-Arch: same
Depends: liblibleidenalg1 (= ${binary:Version}),
         ${misc:Depends}
Section: libdevel
Description: implementation of the Leiden algorithm in C++ - headers
 This package implements the Leiden algorithm in C++.  It relies on igraph for
 it to function.  Besides the relative flexibility of the implementation, it
 also scales well, and can be run on graphs of millions of nodes (as long as
 they can fit in memory).  The core class is Optimiser which finds the optimal
 partition using the Leiden algorithm, which is an extension of the Louvain
 algorithm for a number of different methods.  The methods currently implemented
 are (1) modularity, (2) Reichardt and Bornholdt's model using the
 configuration null model and the Erdös-Rényi null model, (3) the Constant
 Potts model (CPM), (4) Significance, and finally (5) Surprise.  In addition,
 it supports multiplex partition optimisation allowing community detection on
 for example negative links or multiple time slices.  There is the possibility
 of only partially optimising a partition, so that some community assignments
 remain fixed.  It also provides some support for community detection on
 bipartite graphs.
 .
 This package contains the C++ development files.  Most people will find it
 easier to work with the Python interface provided by python3-leidenalg.
