=== debian/rules ===
#!/usr/bin/make -f
export LC_ALL=C.UTF-8
include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Work around build failure caused by igraph header path changes.
export CPATH = /usr/include/$(DEB_HOST_MULTIARCH)/igraph

%:
	dh $@
