## libleidenalg 0.12.0

=== debian/changelog ===
libleidenalg (0.12.0-1) unstable; urgency=medium

  [ Aquila Macedo Costa ]
  * Update symbols

  [ Étienne Mollier ]
  * New upstream version 0.12.0 (Closes: #1117754)
  * typos.patch: delete: applied upstream.
  * d/rules: manually create VERSION file.
    This is a workaround to address failure by the upstream code to
    identify its own version, causing a build failure at configure step.
  * d/*symbols: update symbols file to match new upstream.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Sun, 12 Oct 2025 23:31:25 +0200
