=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: libleidenalg
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libigraph-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libleidenalg
 Vcs-Git: https://salsa.debian.org/med-team/libleidenalg.git
 Homepage: https://github.com/vtraag/libleidenalg
-Rules-Requires-Root: no
 
 Package: liblibleidenalg1
 Architecture: any
