=== debian/rules ===
#!/usr/bin/make -f
export LC_ALL=C.UTF-8
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Work around build failure caused by igraph header path changes.
export CPATH = /usr/include/$(DEB_HOST_MULTIARCH)/igraph

%:
	dh $@

# Work around build failure caused by missing upstream version.
execute_after_dh_auto_clean:
	rm -f $(CURDIR)/VERSION
execute_before_dh_auto_configure:
	echo $(DEB_VERSION_UPSTREAM) > $(CURDIR)/VERSION
