=== debian/watch ===
Version: 5

Template: Github
Owner: vtraag
Project: libleidenalg
